Subject: Ticket Assigned - My Account
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 22 May 2022 04:36:44 +0000

Hi Ali Alsareti,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  My Account Please note: I entered 973 35688476 as my telephone number. That is an old number from when I was in Bahrain. My current number is below.

Request for Assistance:
I requested a refund which was provided as an option before I purchased my items.  The ability for refund was  important to me since I'd be leaving the Middle East soon. Instead, when I returned a few items, I was given store credit which is not helpful since I currently live in the United States. Please issue a credit as soon as possible,  unless you are able to mail credit purchases to the United States of America. I will be glad to provide banking information as required. Thank you for your understanding. 

Lauren Dornell-Neal  
001 980 355 2260  I'm also on WhatsApp 
or 
via email 
[email-masked] https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4386434